class IcalBuddy < Formula
  desc "Get events and tasks from the macOS calendar database"
  homepage "https://hasseg.org/icalBuddy/"
  url "https://github.com/dkaluta/icalBuddy64/archive/refs/tags/v1.10.1.tar.gz"
  sha256 "aff42b809044efbf9a1f7df7598e9e110c1c4de0a4c27ddccde5ea325ddc4b77"
  license "MIT"
  revision 1
  head "https://github.com/dkaluta/icalBuddy64.git", branch: "master"

  depends_on :macos

  def install
    inreplace "Makefile" do |s|
      # Allow native builds rather than only x86_64
      s.gsub! "-arch x86_64", ""

      # https://github.com/dkaluta/icalBuddy64/pull/5
      s.gsub! "-force_cpusubtype_ALL", ""

      # Keep the build date (used in manpages) reproducible
      s.change_make_var! "CURRDATE", time.strftime("%Y-%m-%d")
    end

    args = %W[
      icalBuddy
      icalBuddy.1
      icalBuddyLocalization.1
      icalBuddyConfig.1
      COMPILER=#{ENV.cc}
      APP_VERSION=#{version}
    ]
    system "make", *args
    bin.install "icalBuddy"
    man1.install Dir["*.1"]
  end

  test do
    # Testing of other calendar functionality requires granting calendar access
    # to the program (or the terminal emulator).
    assert_match "Non-lossy ASCII", shell_output("#{bin}/icalBuddy strEncodings")
  end
end
